Bug 1577486 - python2 cannot be updated when older python2-docs is installed
Summary: python2 cannot be updated when older python2-docs is installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python2-docs
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 11:16 UTC by Miro Hrončok
Modified: 2018-05-15 20:00 UTC (History)
10 users (show)

Fixed In Version: python2-docs-2.7.15-1.fc28 python2-docs-2.7.15-1.fc27 python2-docs-2.7.15-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1474087
Environment:
Last Closed: 2018-05-14 17:56:01 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1474087 None None None Never

Internal Links: 1474087

Description Miro Hrončok 2018-05-12 11:16:09 UTC
+++ This bug was initially created as a clone of Bug #1474087 +++

Version-Release number of selected component (if applicable):
installed: python3-docs-3.6.1-1.fc26.noarch, python3-3.6.1-8.fc26.x86_64
trying to update to: python3-3.6.2-1.fc26

How reproducible:
always

Steps to Reproduce:
1. have python3-docs 3.6.1-1.fc26 and python3-3.6.1-8.fc26 installed
2. try to update python3 to python3-3.6.2-1.fc26

Actual results:
dnf does not update python3, it tells me that there are broken dependencies. When trying the suggested solution, adding `--best --allowerasing` to dnf command line, dnf tries to remove python3-docs.

Expected results:
Update just fine

Additional info:
It looks like either python3-docs must be updated whenever python3 changes its micro version, or the version dependency in https://src.fedoraproject.org/cgit/rpms/python3-docs.git/tree/python3-docs.spec?h=f26#n29 should be more relaxed.

--- Additional comment from Charalampos Stratakis on 2017-07-24 11:25:21 CEST ---

Built the latest versions and it's currently on its way to updates-testing.

Will keep the bugzilla open to track the version dependency issue.

--- Additional comment from Barry Scott on 2017-07-26 22:50:56 CEST ---

I worked around the repo problem by installing the RPM from Koji.

Does the rebuild fix what is in the repo?

How did all of the python 3.6.2 RPMs except python3-docs make into the
repo?

Barry

--- Additional comment from Barry Scott on 2017-07-26 22:53:34 CEST ---

Here is the Koji page for anyone needing the work around.

https://koji.fedoraproject.org/koji/buildinfo?buildID=921385

--- Additional comment from Christian Stadelmann on 2017-07-26 22:58:33 CEST ---

(In reply to Charalampos Stratakis from comment #1)
> Built the latest versions and it's currently on its way to updates-testing.

Works fine, thanks!

> Will keep the bugzilla open to track the version dependency issue.

It should be as simple as setting the version dependency from "=" to ">=". Python-docs does not hard depend on anything except a browser, as far as I know. Maybe it provides some tools which expect a specific version, but as python has pretty good backwards compatibility, especially on micro versions, having a higher python3 version than python3-docs is, it should be fine.

(In reply to Barry Scott from comment #2)
> I worked around the repo problem by installing the RPM from Koji.

You should now be able to update your computer using dnf or Packagekit or whatever frontend you are using.

> Does the rebuild fix what is in the repo?

The rebuild does not fix anything, as cstratak wrote above. Since the rebuild does provide python3-docs in version 3.6.2, dnf/rpm will no longer complain about missing dependencies and will update python3.

> How did all of the python 3.6.2 RPMs except python3-docs make into the
> repo?

python3-docs is a separate source package, so it can (and will!) be built at different times than python3.

--- Additional comment from Petr Viktorin on 2018-01-25 14:50:32 CET ---

Let's change it to Recommends instead of Requires.

--- Additional comment from Fedora End Of Life on 2018-05-03 10:38:29 CEST ---

This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining...

--- Additional comment from Miro Hrončok on 2018-05-10 14:35:53 CEST ---

This has been fixed in rawhide https://src.fedoraproject.org/rpms/python3-docs/c/aaa90c9c4608f6c39a4e4f03314514f9717c3799?branch=master

Should we backport it to older Fedoras?

--- Additional comment from Christian Stadelmann on 2018-05-10 15:50:04 CEST ---

(In reply to Miro Hrončok from comment #7)
> This has been fixed in rawhide
> https://src.fedoraproject.org/rpms/python3-docs/c/
> aaa90c9c4608f6c39a4e4f03314514f9717c3799?branch=master
> 
> Should we backport it to older Fedoras?

I think so. It just hit me again when updating Python 2 on Fedora 27.

Comment 1 Fedora Update System 2018-05-12 19:02:19 UTC
python2-2.7.15-1.fc26, python2-docs-2.7.15-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7979a42ded

Comment 2 Fedora Update System 2018-05-12 19:36:38 UTC
python2-docs-2.7.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-820cae5d73

Comment 3 Fedora Update System 2018-05-12 20:43:24 UTC
python2-2.7.15-1.fc27, python2-docs-2.7.15-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9676b06626

Comment 4 Fedora Update System 2018-05-14 17:56:01 UTC
python2-docs-2.7.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2018-05-14 18:35:18 UTC
python2-2.7.15-1.fc27, python2-docs-2.7.15-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-05-15 20:00:33 UTC
python2-2.7.15-1.fc26, python2-docs-2.7.15-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.